%define mod_name mod_security

Name:		apache-%{mod_name}
Version:	2.9.5
Release:	%mkrel 1
Summary:	Open Source Web Application Firewall
Group:		System/Servers
License:	Apache License
URL:		http://www.modsecurity.org/
Source0:	https://www.modsecurity.org/tarball/%{version}/modsecurity-%{version}.tar.gz
#Source0: https://www.modsecurity.org/tarball/2.9.1-rc1/modsecurity-2.9.1-RC1.tar.gz
Source2:	mod_security.logrotate
Source3:	mod_security.conf
Requires:	apache >= 2.4.0
Requires:	mlogc >= 1.4.2
Requires:	unzip
Recommends:	apache-mod_security-crs
BuildRequires:	apache-devel >= 2.4.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(libpcre)
Epoch:		1

%description
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

%package -n	mlogc
Summary:	ModSecurity Audit Log Collector
Group:		System/Servers

%description -n	mlogc
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

This package contains the ModSecurity Audit Log Collector.

%prep
%autosetup -n modsecurity-%{version} -p1

%build
%serverbuild

%configure --localstatedir=/var/lib \
    --enable-performance-measurement \
    --enable-extentions \
    --with-apxs=%{_httpd_apxs} \
    --with-pcre=%{_prefix} \
    --with-apr=%{_prefix} \
    --with-apu=%{_prefix} \
    --with-libxml=%{_prefix} \
    --with-lua=%{_prefix} \
    --with-curl=%{_prefix}

%make_build
%make_build -C mlogc

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}

install -d %{buildroot}%{_httpd_moddir}
install -m 755 apache2/.libs/mod_security2.so \
    %{buildroot}%{_httpd_moddir}/mod_security2.so

install -d %{buildroot}%{_httpd_modconfdir}
cat >  %{buildroot}%{_httpd_modconfdir}/10_mod_security.conf <<EOF
LoadModule security2_module modules/mod_security2.so
EOF

install -d %{buildroot}%{_httpd_extconfdir}
install -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/mod_security.conf

install -d %{buildroot}%{_httpd_confdir}/modsecurity.d
cat >  %{buildroot}%{_httpd_confdir}/modsecurity.d/localrules.conf <<EOF
# Drop your local rules in here.
EOF

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/mod_security

install -m 755 mlogc/mlogc %{buildroot}%{_bindir}
install -m 755 mlogc/mlogc-batch-load.pl %{buildroot}%{_bindir}/mlogc-batch-load
install -m 644 mlogc/mlogc-default.conf %{buildroot}%{_httpd_confdir}/mlogc.conf

install -d %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc CHANGES LICENSE README*
%config(noreplace) %{_httpd_modconfdir}/10_mod_security.conf
%config(noreplace) %{_httpd_extconfdir}/mod_security.conf
%dir %{_httpd_confdir}/modsecurity.d
%config(noreplace)  %{_httpd_confdir}/modsecurity.d/localrules.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/mod_security
%{_httpd_moddir}/mod_security2.so
%attr(770,apache,root) %dir %{_localstatedir}/lib/%{name}

%files -n mlogc
%doc mlogc/INSTALL
%attr(0640,root,apache) %config(noreplace) %{_httpd_confdir}/mlogc.conf
%{_bindir}/mlogc
%{_bindir}/mlogc-batch-load


%changelog
* Mon Dec 20 2021 neoclust <neoclust> 1:2.9.5-1.mga8
+ Revision: 1763043
- New version 2.9.5: Fixes CVE-2021-42717 (mga#29787)

* Wed Feb 12 2020 umeabot <umeabot> 1:2.9.2-3.mga8
+ Revision: 1508900
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1:2.9.2-2.mga7
+ Revision: 1294429
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1:2.9.2-1.mga7
+ Revision: 1211473
- Update to version 2.9.2
- Fix Source0 URL

* Thu Feb 25 2016 oden <oden> 1:2.9.1-0.RC1.1.mga6
+ Revision: 979140
- 2.9.1-RC1

* Wed Feb 03 2016 umeabot <umeabot> 1:2.7.7-4.mga6
+ Revision: 933111
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.7.7-3.mga5
+ Revision: 741357
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.7.7-2.mga5
+ Revision: 677846
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Apr 15 2014 luigiwalser <luigiwalser> 1:2.7.7-1.mga5
+ Revision: 615175
- 2.7.7 (fixes CVE-2013-5705)
- fix status code in the configuration file (from fedora)

* Sat Oct 19 2013 umeabot <umeabot> 1:2.7.5-2.mga4
+ Revision: 534324
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 oden <oden> 1:2.7.5-1.mga4
+ Revision: 477308
- 2.7.5

* Tue May 28 2013 oden <oden> 1:2.7.4-1.mga4
+ Revision: 429603
- 2.7.4 (fixes CVE-2013-2765)

* Sat Apr 13 2013 guillomovitch <guillomovitch> 1:2.7.3-1.mga3
+ Revision: 409864
- new version

* Tue Jan 29 2013 oden <oden> 1:2.7.2-1.mga3
+ Revision: 393144
- 2.7.2
- fix deps

* Fri Jan 11 2013 umeabot <umeabot> 1:2.7.1-2.mga3
+ Revision: 345863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 oden <oden> 1:2.7.1-1.mga3
+ Revision: 334252
- fix file lists
- 2.7.1
- sync slightly with fedora

* Sat Dec 01 2012 fwang <fwang> 1:2.6.7-2.mga3
+ Revision: 323762
- rebuild for new pcre

* Sat Aug 25 2012 guillomovitch <guillomovitch> 1:2.6.7-1.mga3
+ Revision: 283918
- new version 2.6.7
- adapt to new apache setup
- move crs rules to external apache-mod_security-crs package
- drop useless sendmail-command dependency

* Sat Jul 07 2012 luigiwalser <luigiwalser> 1:2.6.6-2.mga3
+ Revision: 268649
- require perl-GnuPG for rules-updater.pl (mga #6678)

* Thu Jul 05 2012 guillomovitch <guillomovitch> 1:2.6.6-1.mga3
+ Revision: 267946
- drop old update procedure from previous package name
- no need to regenerate build system
- force usage of lua5.1
+ luigiwalser <luigiwalser>
- remove patch applied upstream
- 2.6.6
- add patch from debian to fix CVE-2012-2751

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:2.6.3-3.mga2
+ Revision: 223838
- httpd restart is handled by filetriggers now

* Fri Mar 16 2012 guillomovitch <guillomovitch> 1:2.6.3-2.mga2
+ Revision: 223632
- better summary
- drop conditional module loading
- no need for rpm-helper, nor for apache, during pre or post installation
- spec cleanup

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1:2.6.3-1.mga2
+ Revision: 218064
- 2.6.3

* Thu Oct 13 2011 dlucio <dlucio> 1:2.6.2-2.mga2
+ Revision: 154187
- fix requires

* Wed Oct 12 2011 dlucio <dlucio> 1:2.6.2-1.mga2
+ Revision: 154176
- imported package apache-mod_security

